Subject: [tcpm] 793bis: purpose of RST w/ data

From: Wesley Eddy <[email-masked]>
Date: Thu, 6 Jan 2022 00:02:30 -0500

One of the IESG comments on RFC 793bis was in regard to this text:

      TCP implementations SHOULD allow a received RST segment to include
      data (SHLD-2).

The question  was:

    Is there an example of what possible use a RST w/ data could serve?

There isn't much to say about this, to my knowledge.  The only thing I'm 
aware of is the discussion of that requirement in RFC 1122, which only says:

             DISCUSSION
                  It has been suggested that a RST segment could contain
                  ASCII text that encoded and explained the cause of the
                  RST.  No standard has yet been established for such
                  data.

Do we want to repeat that in 793bis?  I didn't think it would be 
important to include, but since it was noted during the IESG reviews, 
maybe it should be stated.

---

From: "[email-masked]" <[email-masked]>
Date: Wed, 5 Jan 2022 21:30:23 -0800

Hi, Wes, 

It’s worth including that statement. I recall discussing potential uses of that data, e.g, as a signal to why the RST occurred, with some people MANY years ago, but it never went anywhere. At a minimum, it should be allowed and ignored, as noted.

Joe

—
Joe Touch, temporal epistemologist
www.strayalpha.com

> On Jan 5, 2022, at 9:02 PM, Wesley Eddy <[email-masked]> wrote:
> 
> There isn't much to say about this, to my knowledge.  The only thing I'm aware of is the discussion of that requirement in RFC 1122, which only says:
> 
>             DISCUSSION
> Do we want to repeat that in 793bis?  I didn't think it would be important to include, but since it was noted during the IESG reviews, maybe it should be stated.
> 
> 
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: <[email-masked]>
Date: Thu, 6 Jan 2022 07:29:04 +0000

Hi Wes, all,

It makes sense to include the example but without the “ASCII text” thing.

In early versions of draft-ietf-tcpm-converters (RFC8803), we used to return an error TLV inside an RST packet to report the cause of a failure (many codes are defined for this purpose):

   If the connection can be

   established with the final server, the Transport Converter replies

   with the Extended TCP Header TLV and returns an Error TLV inside a

   RST packet (see Section 4.2.7<https://datatracker.ietf.org/doc/html/draft-ietf-tcpm-converters-04#section-4.2.7>).

Cheers,
Med

De : tcpm <[email-masked]> De la part de Wesley Eddy
Envoyé : jeudi 6 janvier 2022 06:03
À : tcpm IETF list <[email-masked]>
Cc : [email-masked]
Objet : [tcpm] 793bis: purpose of RST w/ data

The question  was:

            DISCUSSION

                 data.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 6 Jan 2022 08:49:19 +0100

We call it “diagnostic payload” in RFC 7252.

https://datatracker.ietf.org/doc/html/rfc7252#section-5.5.2

Grüße, Carsten

> On 2022-01-06, at 08:29, [email-masked] wrote:
>

---

From: "[email-masked]" <[email-masked]>
Date: Thu, 6 Jan 2022 07:30:00 -0800

FWIW, some middleboxes that use RSTs to kill connections place reference IDs in the payload for tracing, e.g., see here:
https://serverfault.com/questions/746570/rst-ack-with-reset-cause <https://serverfault.com/questions/746570/rst-ack-with-reset-cause>
https://support.f5.com/csp/article/K13223 <https://support.f5.com/csp/article/K13223>

—

> On Jan 5, 2022, at 11:49 PM, Carsten Bormann <[email-masked]> wrote:
>